// Current in a first order L-R system
// with 24V supply, 6 ohm in series with 40H
// SCILAB source file: tyk24-2.sce
// V = 24, R = 6 and L = 40 
// i(s) = V/s(R + sL)
// Numerator and denominator must both be expressed as
// polynomials of the form (as^2 + bs + c) where the 
// coefficients are [c b a] (note the order!)
// Numerator is thus (0 s^2) + (0 s) + V  
// thus c = V = 24, b = 0 and a = 0
num = poly([24 0 0], 's', 'coeff');
// Denominator is (L s^2 + Rs + 0) so c = 0, b = R = 6, 
// and a = L = 40
den = poly([0 6 40], 's', 'coeff');
// Range of time values to plot
t = 0.001: 0.1: 20; // Avoid zero
s = syslin('c', num/den);
gs = csim('impulse', t, s);
clf;
plot2d(t, gs, 5); // Red plot line
xgrid;
xtitle('Current in a first order (L-R) system for a 24V supply','t (s)','i (A)');
